package com.dc.standard.report.initiallzer;


import com.dc.standard.report.entity.QuartzJob;
import com.dc.standard.report.job.DtatisticalDataJob;
import com.dc.standard.report.service.IGuanbiaobaobiaoService;
import com.dc.standard.report.service.IHuoyueduService;
import com.dc.standard.report.service.IQuartzJobService;
import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class AppInitializer implements CommandLineRunner {

    private final IQuartzJobService quartzJobService;
    private final IGuanbiaobaobiaoService guanbiaobaobiaoService;
    private final IHuoyueduService huoyueduService;
    private final DtatisticalDataJob dtatisticalDataJob;

    @Autowired
    public AppInitializer(IQuartzJobService quartzJobService, IGuanbiaobaobiaoService guanbiaobaobiaoService, IHuoyueduService huoyueduService, DtatisticalDataJob dtatisticalDataJob) {
        this.quartzJobService = quartzJobService;
        this.guanbiaobaobiaoService = guanbiaobaobiaoService;
        this.huoyueduService = huoyueduService;
        this.dtatisticalDataJob = dtatisticalDataJob;
    }

    @Override
    public void run(String... args) throws Exception {
        //quartzJobService.startJobList();
      /*  log.info("=====贯标报表统计定时任务开始=====");
        guanbiaobaobiaoService.statisticalData();
        huoyueduService.statisticalData();
        log.info("=====贯标报表统计定时任务结束=====");*/
    }
}
