package com.dc.standard.report.entity;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@TableName("SCI.GUANBIAOBAOBIAO")
@DS("slave")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "贯标报表", description = "贯标报表")
public class Guanbiaobaobiao {
    @TableId(type = IdType.AUTO)
    private Integer id; // 主键索引，自动生成
    private String xtmc = "制造执行系统（国产化）"; // 系统名称
    private String zrdw = "六九九厂"; // 责任单位
    private String bswl = "国密网"; // 部署网络
    private String gxrq; // 更新日期 YYYY/MM/DD
    private String zsjlx; // 主数据类型 客户、供方、型号、项目、物资
    private String byxfsl; // 本月下发数量(次)
    private String byjssl; // 本月接收数量(次)
    private String jscgl; // 接收成功率(次)
    private String ljjssl; // 累计接收数量(条)
    private String byyysl; // 本月应用数量(条)
    private String ljyyzsjzl; // 累计应用主数量总量(条)
    private String bygbwtsl = "0"; // 本月贯标问题数量
    private String ljgbwtsl = "0"; // 累计贯标问题数量
}
